import *as React from 'react'
import {
  Icon, Label, Input, InputOnChangeData,
  Select, Button, Dropdown, Grid, Container, Form
} from 'semantic-ui-react'


export interface State {

}
export interface Props {

}

const options = [{ key: 'southkorea', value: '82', text: 'South Korea(82)' },
{ key: 'unitedstates', value: '1', text: 'United States(1)' }]


export class SignUp extends React.Component<any, any> {
  constructor(props: any, context: any) {
    super(props, context);

    this.state = {
      email: '',
      name: '',
      pass: '',
      passCon: '',
      company: '',
      phone: '',
      country: '',
    };

  }


  onSubmit = () => {
    console.log(this.state)

  }

  onChange = (event: React.SyntheticEvent<HTMLInputElement>, data: InputOnChangeData) => {

  }


  render() {


    return (
      <Container>
        <Grid>
          <Grid.Row>
            <Grid.Column mobile={16} tablet={5} computer={5}>
            </Grid.Column>
            <Grid.Column mobile={16} tablet={6} computer={6}>
              <Grid>
                <Grid.Row style={{padding:'5'}}>
                  <Grid.Column>
                    <Input fluid value={this.state.email} placeholder='Email' onChange={
                      (event: React.SyntheticEvent<HTMLInputElement>, data: InputOnChangeData) => {
                        this.setState({ email: data.value });
                      }} />
                  </Grid.Column>
                </Grid.Row>
                <Grid.Row style={{padding:'5'}}>
                  <Grid.Column>
                    <Input fluid placeholder='Name' onChange={(event: React.SyntheticEvent<HTMLInputElement>, data: InputOnChangeData) => {
                      this.setState({ name: data.value });
                    }} />
                  </Grid.Column>
                </Grid.Row>
                <Grid.Row style={{padding:'5'}}>
                  <Grid.Column>
                    <Input fluid placeholder='Password' type='password' onChange={(event: React.SyntheticEvent<HTMLInputElement>, data: InputOnChangeData) => {
                      this.setState({ pass: data.value });
                    }} />
                  </Grid.Column>
                </Grid.Row>
                <Grid.Row style={{padding:'5'}}>
                  <Grid.Column>
                    <Input fluid placeholder='Password Confirm' type='password' onChange={(event: React.SyntheticEvent<HTMLInputElement>, data: InputOnChangeData) => {
                      this.setState({ passCon: data.value });
                    }} />
                  </Grid.Column>
                </Grid.Row>
                <Grid.Row style={{padding:'5'}}>
                  <Grid.Column>
                    <Input fluid placeholder='Company' onChange={(event: React.SyntheticEvent<HTMLInputElement>, data: InputOnChangeData) => {
                      this.setState({ company: data.value });
                    }} />
                  </Grid.Column>
                </Grid.Row>
                <Grid.Row style={{padding:'5'}}>
                  <Grid.Column>
                    <Input fluid>
                      <Select value={this.state.country} placeholder='Select your country' options={options} onChange={(event: React.SyntheticEvent<HTMLInputElement>, data: InputOnChangeData) => {
                        this.setState({ country: data.value });
                      }} />
                      <Input placeholder='phone' onChange={(event: React.SyntheticEvent<HTMLInputElement>, data: InputOnChangeData) => {
                        this.setState({ phone: data.value });
                      }} />
                    </Input>
                  </Grid.Column>
                </Grid.Row>
                <Grid.Row style={{padding:'5'}}>
                  <Grid.Column width='8'>
                    <Button primary fluid onClick={this.onSubmit}>   Sign Up  </Button>
                  </Grid.Column>
                  <Grid.Column width='8'>
                    <Button fluid>    Cancel  </Button>
                  </Grid.Column>
                </Grid.Row>
              </Grid>
            </Grid.Column>
            <Grid.Column mobile={16} tablet={4} computer={5}>
            </Grid.Column>
          </Grid.Row>
        </Grid>

        <Grid>
          <Grid.Row>
            <Grid.Column mobile={16} tablet={5} computer={5}>
            </Grid.Column>
            <Grid.Column mobile={16} tablet={6} computer={6}>
              <Form>
                    <Form.Input fluid value={this.state.email} placeholder='Email' onChange={
                      (event: React.SyntheticEvent<HTMLInputElement>, data: InputOnChangeData) => {
                        this.setState({ email: data.value });
                      }} />
                    <Form.Input fluid placeholder='Name' onChange={(event: React.SyntheticEvent<HTMLInputElement>, data: InputOnChangeData) => {
                      this.setState({ name: data.value });
                    }} />
                    <Form.Input fluid placeholder='Password' type='password' onChange={(event: React.SyntheticEvent<HTMLInputElement>, data: InputOnChangeData) => {
                      this.setState({ pass: data.value });
                    }} />
                    <Form.Input fluid placeholder='Password Confirm' type='password' onChange={(event: React.SyntheticEvent<HTMLInputElement>, data: InputOnChangeData) => {
                      this.setState({ passCon: data.value });
                    }} />
                    <Form.Input fluid placeholder='Company' onChange={(event: React.SyntheticEvent<HTMLInputElement>, data: InputOnChangeData) => {
                      this.setState({ company: data.value });
                    }} />
                    <Form.Group>
                      <Form.Select value={this.state.country} placeholder='Select your country' options={options} onChange={(event: React.SyntheticEvent<HTMLInputElement>, data: InputOnChangeData) => {
                        this.setState({ country: data.value });
                      }} />
                      <Form.Input placeholder='phone' onChange={(event: React.SyntheticEvent<HTMLInputElement>, data: InputOnChangeData) => {
                        this.setState({ phone: data.value });
                      }} 
                      />
                    </Form.Group>
                    <Form.Group>
                      <Button primary fluid style={{margin:'7'}} onClick={this.onSubmit}>   Sign Up  </Button>
                      <Button fluid style={{margin:'7'}}>    Cancel  </Button>
                    </Form.Group>
              </Form>
            </Grid.Column>
            <Grid.Column mobile={16} tablet={4} computer={5}>
            </Grid.Column>
          </Grid.Row>
        </Grid>
      </Container>


      
    );
  }



}

